package com.example.beijing_daxing;

import androidx.appcompat.app.AppCompatActivity;
import androidx.databinding.DataBindingUtil;

import android.content.Intent;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import android.widget.AdapterView;
import android.widget.Toast;

import com.example.beijing_daxing.adapter.HomePageAdapter;
import com.example.beijing_daxing.databinding.ActivityHomePageBinding;
import com.example.beijing_daxing.been.HomeIcon;

import java.util.ArrayList;
import java.util.List;

public class HomePageActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ActivityHomePageBinding binding= DataBindingUtil. setContentView(this,R.layout.activity_home_page);
        List<HomeIcon> list = new ArrayList<>();
        list.add(new HomeIcon(R.mipmap.home_in1, "轮挡入库", InActivity.class));
        list.add(new HomeIcon(R.mipmap.home_out1, "轮挡领用出库", OutActivity.class));
        list.add(new HomeIcon(R.mipmap.home_store_check, "仓库盘点", StoreCheckActivity.class));
        list.add(new HomeIcon(R.mipmap.home_check, "轮挡巡检", CheckActivity.class));
        list.add(new HomeIcon(R.mipmap.home_bf, "轮挡报废", BFActivity.class));
        list.add(new HomeIcon(R.mipmap.home_in, "废品入库", FpInActivity.class));
        list.add(new HomeIcon(R.mipmap.home_out, "废品出库", CheckActivity.class));

       /* try {
            if (!loginUser.equals("admin")) {
                ArrayList<String> strings = getIntent().getStringArrayListExtra("json");
                if (strings != null) {
                    Iterator<HomeIcon> iter = list.iterator();
                    while (iter.hasNext()) {
                        HomeIcon homeIcon = iter.next();
                        if (!strings.contains(homeIcon.getName())) {
                            iter.remove();
                        }
                    }
                } else {
                    list.clear();
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }*/
        HomePageAdapter adapter = new HomePageAdapter(list, this);
        binding.homeGridview.setAdapter(adapter);
        binding.homeGridview.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long l) {
                Intent intent = new Intent(HomePageActivity.this, adapter.getItem(i));
                startActivity(intent);
            }
        });
    }
    private long exitTime = 0;
    @Override
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (keyCode == 4) {
            if ((System.currentTimeMillis() - exitTime) > 2000) {
                Toast.makeText(getApplicationContext(), "再按一次退出程序", Toast.LENGTH_SHORT).show();
                exitTime = System.currentTimeMillis();
                return true;
            } else {
                finish();
            }
        }
        return super.onKeyDown(keyCode, event);

    }
}